org.fourthline.cling.support.connectionmanager

## Enum ConnectionManagerErrorCode

- java.lang.Object
- - java.lang.Enum<ConnectionManagerErrorCode>
  - - org.fourthline.cling.support.connectionmanager.ConnectionManagerErrorCode

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionManagerErrorCode>

      public enum ConnectionManagerErrorCode
      extends Enum<ConnectionManagerErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS_DENIED`
    `INCOMPATIBLE_DIRECTIONS`
    `INCOMPATIBLE_PROTOCOL_INFO`
    `INSUFFICIENT_NETWORK_RESOURCES`
    `INVALID_CONNECTION_REFERENCE`
    `LOCAL_RESTRICTIONS`
    `NOT_IN_NETWORK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionManagerErrorCode` | `getByCode(int code)`
    `int` | `getCode()`
    `String` | `getDescription()`
    `static ConnectionManagerErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionManagerErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INCOMPATIBLE_PROTOCOL_INFO

          public static final ConnectionManagerErrorCode INCOMPATIBLE_PROTOCOL_INFO

    - #### INCOMPATIBLE_DIRECTIONS

          public static final ConnectionManagerErrorCode INCOMPATIBLE_DIRECTIONS

    - #### INSUFFICIENT_NETWORK_RESOURCES

          public static final ConnectionManagerErrorCode INSUFFICIENT_NETWORK_RESOURCES

    - #### LOCAL_RESTRICTIONS

          public static final ConnectionManagerErrorCode LOCAL_RESTRICTIONS

    - #### ACCESS_DENIED

          public static final ConnectionManagerErrorCode ACCESS_DENIED

    - #### INVALID_CONNECTION_REFERENCE

          public static final ConnectionManagerErrorCode INVALID_CONNECTION_REFERENCE

    - #### NOT_IN_NETWORK

          public static final ConnectionManagerErrorCode NOT_IN_NETWORK

  - ### Method Detail

    - #### values

          public static ConnectionManagerErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionManagerErrorCode c : ConnectionManagerErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionManagerErrorCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getDescription

          public String getDescription()

    - #### getByCode

          public static ConnectionManagerErrorCode getByCode(int code)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.